## postman-image-uploader 0.3.5-extras12.10.1

=== debian/changelog ===
postman-image-uploader (0.3.5-extras12.10.1) quantal; urgency=low

  [ Ed ]
  * Initial Release to the ARB repos.

 -- Ed <schumifer@hotmail.com>  Thu, 15 Nov 2012 20:21:04 +0100
