=== debian/control ===
Source: postman-image-uploader
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Edward Apap <schumifer@hotmail.com>
Standards-Version: 3.9.3
X-Python-Version: >= 2.6

Package: postman-image-uploader
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-pyside.qtcore,
 python-pyside.qtgui,
 python-pyside.qtdeclarative,
 python-dbus,
 ubuntuone-couch,
 python-flickrapi,
 python-gobject-2,
 python-ubuntuone-client,
 python-gdata,
 appmenu-qt,
 sni-qt
Description: Upload photos to online services through an intuitive interface.
 Postman is a utility program to batch upload images to popular websites
 or services. This is done through a simple and modern intuitive user
 interface. Drag stamps to mark destinations, and drag images to select
 content. Currently Flickr, Ubuntu One, Google+ and Picasa are supported.
