=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/postman-image-uploader/bin                 --install-data=/opt/extras.ubuntu.com/postman-image-uploader                 --install-lib=/opt/extras.ubuntu.com/postman-image-uploader

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/postman-image-uploader


override_dh_install:
	dh_install
	mkdir -p debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/bin
	if [ -x debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/postman-image-uploader ]; then mv debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/postman-image-uploader debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/bin; fi
	if [ -f debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/share/applications/postman-image-uploader.desktop ]; then \
		mkdir -p debian/postman-image-uploader/usr/share/applications; \
		mv debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/share/applications/postman-image-uploader.desktop debian/postman-image-uploader/usr/share/applications/extras-postman-image-uploader.desktop; \
		rmdir --ignore-fail-on-non-empty debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/postman-image-uploader/bin/postman-image-uploader|' debian/postman-image-uploader/usr/share/applications/extras-postman-image-uploader.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/postman-image-uploader/|' debian/postman-image-uploader/usr/share/applications/extras-postman-image-uploader.desktop; \
	fi
	grep -RlZ 'import gettext' debian/postman-image-uploader/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/postman-image-uploader/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('postman-image-uploader')" debian/postman-image-uploader/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('postman-image-uploader')\)|locale\.bindtextdomain('postman-image-uploader', '/opt/extras.ubuntu.com/postman-image-uploader/share/locale')\nlocale\1|" 
	sed -i "s|__postman_image_uploader_data_directory__ =.*|__postman_image_uploader_data_directory__ = '/opt/extras.ubuntu.com/postman-image-uploader/share/postman-image-uploader/'|" debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/postman_image_uploader*/postman_image_uploaderconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/postman-image-uploader/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/bin/postman-image-uploader
	if [ -d debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/share/glib-2.0/schemas ]; then glib-compile-schemas debian/postman-image-uploader/opt/extras.ubuntu.com/postman-image-uploader/share/glib-2.0/schemas; fi
